# Uses of Interface
org.apache.sling.scripting.spi.bundle.TypeProvider

Packages that use TypeProvider
Package
Description
org.apache.sling.scripting.spi.bundle

## Uses of TypeProvider in org.apache.sling.scripting.spi.bundle

Methods in org.apache.sling.scripting.spi.bundle that return types with arguments of type TypeProvider
Modifier and Type
Method
Description
`@NotNull Set<TypeProvider>`
BundledRenderUnit.`getTypeProviders()`
Returns the `Set` of `TypeProvider`s which are related to this unit.
Methods in org.apache.sling.scripting.spi.bundle with parameters of type TypeProvider
Modifier and Type
Method
Description
`@Nullable BundledRenderUnit`
BundledRenderUnitFinder.`findUnit(@NotNull org.osgi.framework.BundleContext context, @NotNull TypeProvider provider, @NotNull Set<TypeProvider> allRelatedProviders)`
Retrieves a path-based `BundledRenderUnit` from the passed `provider`.
Method parameters in org.apache.sling.scripting.spi.bundle with type arguments of type TypeProvider
Modifier and Type
Method
Description
`@Nullable BundledRenderUnit`
BundledRenderUnitFinder.`findUnit(@NotNull org.osgi.framework.BundleContext context, @NotNull Set<TypeProvider> inheritanceChain, @NotNull Set<TypeProvider> allRelatedProviders)`
Retrieves the best matching `BundledRenderUnit` for the provided `inheritanceChain`, by scanning all `TypeProvider` bundles for the class or script capable of providing a rendering for resource type chain.
`@Nullable BundledRenderUnit`
BundledRenderUnitFinder.`findUnit(@NotNull org.osgi.framework.BundleContext context, @NotNull TypeProvider provider, @NotNull Set<TypeProvider> allRelatedProviders)`
Retrieves a path-based `BundledRenderUnit` from the passed `provider`.